Description

Description:

Using any filter that uses date/time, such as "Today," "Yesterday," is Date, etc. ignores the UTC offset of the user.

Attached is a screenshot. In the screenshot is an issue with the date, 2/3/2015 @ 1807 CST. Converting this date to UTC would

make it 2/4/2015 0007 UTC.

The server is set to UTC time. The Redmine config is using "local" for timezone. The user in the example has their UTC offset set to

-6 or Central Standard Time.

Expected:

I expect any filter using date/time to take into account the time offset the user has provided within their account profile.

Instillation Info:

Environment:

Redmine version                2.5.2.stable

Ruby version                   1.9.3-p547 (2014-05-14) [x86_64-linux]

Rails version                  3.2.19

Environment                    production

Database adapter               Mysql2

SCM:

Subversion                     1.8.8

Mercurial                      2.1

Cvs                            1.12.13

Git                            1.9.0

Filesystem

Redmine plugins:

redmine_time_tracker           0.5

Related issues:

Related to Redmine - Patch #20473: Respect the user's timezone when querying ... Closed

Related to Redmine - Defect #16482: Wrong search query for timelog, when time... New

Is duplicate of Redmine - Patch #22320: Respect user's timezone when comparin... Closed

History

#1 - 2016-02-26 01:17 - Sebastian Paluch

Patch for this #20473.

#2 - 2016-02-26 04:35 - Toshi MARUYAMA

- Related to Patch #20473: Respect the user's timezone when querying issues added

#3 - 2016-03-15 22:56 - Scott Macpherson

Duplicate of #16482?

#4 - 2016-03-26 10:29 - Jan from Planio www.plan.io
https://www.redmine.org/issues/20473
https://www.redmine.org/issues/16482


- Is duplicate of Patch #22320: Respect user's timezone when comparing / parsing Dates added

#5 - 2016-04-14 07:37 - Toshi MARUYAMA

- Related to Defect #16482: Wrong search query for timelog, when timezone not UTC added

#6 - 2016-05-07 13:07 - Jean-Philippe Lang

- Status changed from New to Closed

Committed, thanks.
